unit lookpo;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DateUtils,strutils,Buttons, Mask, DB, DBTables, Grids, DBGrids, ExtCtrls;

type
  Tfrm_lookpo = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    chk_close: TCheckBox;
    chk_appr: TCheckBox;
    btn_lookpo: TBitBtn;
    btn_getpo: TBitBtn;
    DataSource_LOOKPO: TDataSource;
    Query_LOOKPO: TQuery;
    DBGrid1: TDBGrid;
    EDT_FRMVENDOR: TEdit;
    EDT_ENDVENDOR: TEdit;
    EDT_FRMBUYER: TEdit;
    EDT_ENDBUYER: TEdit;
    CHK_BUYER: TCheckBox;
    chk_vendor: TCheckBox;
    LBL_OPTION: TLabel;
    Shape1: TShape;
    podate_begin: TMaskEdit;
    podate_end: TMaskEdit;
    btn_exit: TBitBtn;
    procedure btn_lookpoClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure LBL_OPTIONClick(Sender: TObject);
    procedure chk_vendorClick(Sender: TObject);
    procedure CHK_BUYERClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure btn_getpoClick(Sender: TObject);
    procedure btn_exitClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    VTIMES,BTIMES:INTEGER;
  end;

var
  frm_lookpo: Tfrm_lookpo;

implementation
USES porpt;
{$R *.dfm}

procedure Tfrm_lookpo.btn_lookpoClick(Sender: TObject);
var
lookvendor,lookbuyer,lookdate,cursql,frmdate,enddate:string;
begin
lookvendor:='';
lookbuyer:='';
lookdate:='';
CURSQL:='SELECT PO_NO,PO_DATE,BUYER,APPR_USER FROM POHEAD ';
frmdate:=rightstr(podate_begin.Text,4)+'/'+copy(podate_begin.text,4,2)+'/'+leftstr(podate_begin.Text,2);
enddate:=rightstr(podate_end.Text,4)+'/'+copy(podate_end.text,4,2)+'/'+leftstr(podate_end.Text,2);
if (length(trim(podate_begin.Text))=0) or (length(trim(podate_end.Text))=0) then
begin
application.MessageBox('пJ_,wKֱd','',mb_ok+mb_iconinformation);
exit
end
else
lookdate:='WHERE PO_DATE BETWEEN :frmdate AND :enddate ';
cursql:=cursql+lookdate;
query_lookpo.SQL.Clear;
query_lookpo.SQL.Add(cursql);
query_lookpo.ParamByName('frmdate').Value:=frmdate;
query_lookpo.ParamByName('enddate').value:=enddate;

if chk_vendor.Checked=true then
begin
query_lookpo.SQL.Add(' AND VDR_CODE BETWEEN :FRMVDR AND :ENDVDR');
query_lookpo.ParamByName('frmvdr').Value:=edt_frmvendor.Text;
query_lookpo.ParamByName('endvdr').Value:=edt_endvendor.Text;
end;

if chk_buyer.Checked=true then
begin
query_lookpo.SQL.Add(' AND BUYER  BETWEEN :frmbuyer AND :endbuyer');
query_lookpo.ParamByName('frmbuyer').Value:=edt_frmbuyer.Text;
query_lookpo.ParamByName('endbuyer').Value:=edt_endbuyer.Text;
end;

IF CHK_CLOSE.Checked=TRUE THEN
begin
query_lookpo.SQL.Add(' AND STATUS=:CURSTATUS');
query_lookpo.ParamByName('CURSTATUS').Value:='C';
end;

IF CHK_APPR.Checked=TRUE THEN
begin
query_lookpo.SQL.Add(' AND APPROVE=:CURAPPR');
query_lookpo.ParamByName('CURAPPR').Value:='Y';
end;
query_lookpo.SQL.Add('ORDER BY PO_NO');
try
screen.Cursor:=crhourglass;
query_lookpo.open;
except
 screen.Cursor:=crdefault;
 application.MessageBox('dߥ\णQ!e渹108,e{opkool','`N',mb_iconinformation+mb_ok);
end;
 screen.Cursor:=crdefault;
if query_lookpo.RecordCount>0  then
begin
btn_getpo.Enabled:=true;
dbgrid1.columns.Clear;
dbgrid1.columns[0].Title.caption:='ʳ渹';
dbgrid1.columns[0].Font.size:=12;
dbgrid1.columns[0].title.Font.size:=12;
dbgrid1.columns[1].Title.caption:='ʳ';
dbgrid1.columns[1].Font.size:=12;
dbgrid1.columns[1].width:=102;
dbgrid1.columns[1].title.Font.size:=12;
dbgrid1.columns[2].Title.caption:='ʭ';
dbgrid1.columns[2].Font.size:=12;
dbgrid1.columns[2].title.Font.size:=12;
dbgrid1.columns[3].Title.caption:='֪';
dbgrid1.columns[3].Font.size:=12;
dbgrid1.columns[3].title.Font.size:=12;
end;
end;


procedure Tfrm_lookpo.FormShow(Sender: TObject);
begin
QUERY_LOOKPO.DatabaseName:=PORPT.PO001_FRM.CURDB;
shortDATEFORMAT:='DD/MM/YYYY';
podate_begin.Text:=datetostr(now-31);
podate_end.Text:=datetostr(now);
end;

procedure Tfrm_lookpo.LBL_OPTIONClick(Sender: TObject);
begin
if lbl_option.Caption='dﶵ>>' then
begin
lbl_option.Caption:='dﶵ<<';
chk_vendor.Visible:=TRUE;
chk_buyer.Visible:=TRUE;
SHAPE1.Visible:=TRUE;
end
else
BEGIN
lbl_option.Caption:='dﶵ>>';
chk_vendor.Visible:=FALSE;
chk_buyer.Visible:=FALSE;
SHAPE1.Visible:=FALSE;
END;
end;

procedure Tfrm_lookpo.chk_vendorClick(Sender: TObject);
begin
 if CHK_VENDOR.CHECKED=TRUE then
  begin
  edt_frmvendor.Visible:=not edt_frmvendor.Visible;
  edt_endvendor.Visible:=not edt_endvendor.Visible;
  edt_frmvendor.Left:=chk_buyer.Left;
  edt_endvendor.Left:=chk_buyer.Left;
  chk_buyer.Top:=chk_buyer.Top+60;
  edt_frmvendor.SetFocus;
  if chk_buyer.Checked=true then shape1.Height:=6*30+40
  else
  shape1.Height:=4*30+40;
 end
 else
  SHAPE1.Height:=4*30+40;


 IF  CHK_VENDOR.CHECKED=FALSE THEN
 BEGIN
  chk_buyer.Top:=chk_buyer.Top-60;
  edt_frmvendor.VISIBLE:=FALSE;
  edt_endvendor.VISIBLE:=FALSE;
 if chk_buyer.Checked=true then shape1.Height:=4*30+40
  else
  shape1.Height:=3*24+40;

 END;
 edt_frmbuyer.Top:=chk_buyer.Top+26;
  edt_endbuyer.Top:=edt_frmbuyer.Top+26;
end;

procedure Tfrm_lookpo.CHK_BUYERClick(Sender: TObject);
begin
 if CHK_BUYER.CHECKED=TRUE then
  begin
  edt_frmBUYEr.Visible:=TRUE;
  edt_endBUYEr.Visible:=TRUE;
  edt_frmBUYEr.Left:=chk_buyer.Left;
  edt_endBUYEr.Left:=chk_buyer.Left;
  EDT_FRMBUYER.Top:=CHK_BUYER.Top+22;
  EDT_ENDBUYER.Top:=EDT_FRMBUYER.Top+24;
  edt_frmbuyer.SetFocus;
  if chk_vendor.Checked=true then   SHAPE1.Height:=6*30+40
  else
  SHAPE1.Height:=4*30+40;
   END;

 IF  CHK_BUYER.CHECKED=FALSE THEN
 BEGIN
  edt_FRMBUYER.VISIBLE:=FALSE;
  edt_ENDBUYER.VISIBLE:=FALSE;
  if chk_vendor.Checked=true then   SHAPE1.Height:=4*30+40
  else
  SHAPE1.Height:=3*24+40;

 END;
end;

procedure Tfrm_lookpo.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
if Key=VK_RETURN then
begin
if not (ActiveControl is TDbgrid) Then
Begin
key:=VK_TAB;
perform(WM_NEXTDLGCTL,0,0);
end;
end;
end;

procedure Tfrm_lookpo.btn_getpoClick(Sender: TObject);
begin
//if PO001_FRM.fromorto=1 then
PO001_FRM.edt_beginpo.Text:=query_lookpo.FieldValues['po_no'];
PO001_FRM.edt_endpo.Text:=query_lookpo.FieldValues['po_no'];
frm_lookpo.Close;
{else
PO001_FRM.edt_endpo.Text:=query_lookpo.FieldValues['po_no'];
frm_lookpo.Close;
if trim(PO001_FRM.edt_endpo.Text)='' then
PO001_FRM.edt_endpo.Text:=query_lookpo.FieldValues['po_no'];}
end;

procedure Tfrm_lookpo.btn_exitClick(Sender: TObject);
begin
close;
end;

end.
